Subject: Re: mywinsock.h
From: [email-masked] (jman)

12 Jan 1998 00:08:57 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Brent Flannery" <[email-masked]>, <[email-masked]>

When making something that requires winsock. anything to not include 
it. 

At ftp://ftp.deninc.com you can find the ms_icmp example. It uses 
winsock an also loads the default icmp.dll if you include winsock in 
the source tho it won't compile. Just comment  out winsock an try to 
compile it...

At 03:14 PM 1/11/98 -0600, Brent Flannery wrote:
>It seems as though whenever I try to compile a file with mywinsock.h 
I get
>the following errors..
>
>C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-
2.7.2-97040
>4\..
>/../../../i386-cygwin32/include/mywinsock.h:87: syntax error before
>`u_short'
>C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-
2.7.2-97040
>4\..
>/../../../i386-cygwin32/include/mywinsock.h:782: syntax error before 
string
>cons
>tant
>C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-
2.7.2-97040
>4\..
>/../../../i386-cygwin32/include/mywinsock.h:829: syntax error before 
`}'
>GCC.EXE: Internal compiler error: program cc1 got fatal signal 33
>
>
>I get this even if I just create a file "test.c" with 1 line 
"#include
><mywinsock.h>
>
>Is there something I am missing here?
>
>
>
>Also, what is ming32, and what is its home page?
>
>
>-
>For help on using this list (especially unsubscribing), send a 
message to
>"[email-masked]" with one line of text: "help".
>

-------------------------------------------------------
Jason L. Esman aka _Jman  Owner Den Internet Services
System Admin. Network Consulting http://www.deninc.com 
Email [email-masked] or [email-masked]
Finger [email-masked] for PGP Public Keys... 
-------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".